Extending Qt Creator Manual | PathsAndLanguages

Extending Qt Creator Manual 4.5.2

# PathsAndLanguages Class

(QmlJS::PathsAndLanguages)

- List of all members, including inherited members

## Public Types

typedef | const_iterator

## Public Functions

| PathsAndLanguages()
| PathsAndLanguages(const QList<PathAndLanguage> &list)
| PathsAndLanguages(const PathsAndLanguages &o)
PathAndLanguage | at(int i) const
const_iterator | begin() const
void | clear()
void | compact()
const_iterator | end() const
int | length() const
bool | maybeInsert(const Utils::FileName &path, Dialect language = Dialect::AnyLanguage)
bool | maybeInsert(const PathAndLanguage &pathAndLanguage)
int | size() const

## Member Type Documentation

### typedef PathsAndLanguages::const_iterator

## Member Function Documentation

### PathsAndLanguages::PathsAndLanguages()

Default constructs an instance of PathsAndLanguages.

### PathsAndLanguages::PathsAndLanguages(const QList<PathAndLanguage> &list)

Default constructs an instance of PathsAndLanguages.

### PathsAndLanguages::PathsAndLanguages(const PathsAndLanguages &o)

Copy constructor.

### PathAndLanguage PathsAndLanguages::at(int i) const

### const_iterator PathsAndLanguages::begin() const

### void PathsAndLanguages::clear()

### void PathsAndLanguages::compact()

### const_iterator PathsAndLanguages::end() const

### int PathsAndLanguages::length() const

### bool PathsAndLanguages::maybeInsert(const Utils::FileName &path, Dialect language = Dialect::AnyLanguage)

### bool PathsAndLanguages::maybeInsert(const PathAndLanguage &pathAndLanguage)

### int PathsAndLanguages::size() const